#include <stddef.h>

#include "modcod.h"

modem modcod_create_modem(modcod_t modcod)
{
	static const modulation_scheme mod_mapping[MODCOD_LIST_SIZE] = {
		LIQUID_MODEM_QAM16,
		LIQUID_MODEM_QPSK,
	};

	if(modcod < MODCOD_LIST_SIZE) {
		return modem_create(mod_mapping[modcod]);
	} else {
		return NULL;
	}
}


fec modcod_create_fec(modcod_t modcod)
{
	static const fec_scheme fec_mapping[MODCOD_LIST_SIZE] = {
		LIQUID_FEC_CONV_V27P34,
		LIQUID_FEC_CONV_V27P34,
	};

	if(modcod < MODCOD_LIST_SIZE) {
		return fec_create(fec_mapping[modcod], NULL);
	} else {
		return NULL;
	}
}


